API referenceResellers
A reseller with orders, balance and API access
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
resellerId*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/resellers/string"{ "programEnabled": true, "reseller": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "email": "string", "status": "applied", "tierId": "fc392c40-3620-4503-8c0d-7df4d7876c3d", "tierName": "string", "discountBp": -9007199254740991, "tierLocked": true, "balanceMinor": -9007199254740991, "spentMinor": -9007199254740991, "orders": -9007199254740991, "applicationAnswer": "string", "statusReason": "string", "appliedAt": "string", "approvedAt": "string", "createdAt": "string" }, "orders": [ { "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "number": -9007199254740991, "uniqueId": "string", "status": "string", "channel": "panel", "currency": "string", "retailTotalMinor": -9007199254740991, "wholesaleTotalMinor": -9007199254740991, "autoRefundedMinor": -9007199254740991, "tierName": "string", "items": [ { "name": "string", "qty": -9007199254740991 } ], "invoiceUrl": "string", "createdAt": "string" } ], "balance": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "amountMinor": -9007199254740991, "note": "string", "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "createdAt": "string" } ], "tokens": -9007199254740991}